%%% ====================================================
%%% @LaTeX-file{
%%%    filename  = "NEXUS.cls",
%%%    date      =
%%%    author    =
%%%    abstract  = "This is a LaTeX documentclass for volumes of NEXUS.",
%%% }
%%% ====================================================
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{NEXUS}

\LoadClass[12pt, a4paper, twoside]{article}
\setlength{\textwidth}{15cm}
\setlength{\textheight}{22cm}
\setlength{\topmargin}{0cm}
\setlength{\oddsidemargin}{.5cm}
\setlength{\evensidemargin}{.5cm}

%\renewcommand{\familydefault}{\sfdefault} %Usa fontes sem serifa diferentes das originais do LaTex
%\usepackage{sfmath} %Para fontes sem serifa no modo matemático


\linespread{1.15} %1.3 para Espaçamento entre linhas de 1.5






\renewcommand{\encodingdefault}{T1}

%\renewcommand{\thefootnote}(\arabic{footnote}}

%\renewcommand{\thetheorem}{\arabic{section}.\arabic{theorem}.}
%\renewcommand{\thecor}{\arabic{section}.\arabic{cor}.}
%\renewcommand{\thelemma}{\arabic{section}.\arabic{lemma}.}

%\renewcommand{\thesection}{\arabic{section}}
%\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}
%\renewcommand{\thesubsubsection}{\arabic{section}.\arabic{subsection}.\arabic{subsubsection}}
%\renewcommand{\theequation}{\thesection \arabic{equation}}

\usepackage{amsthm,amsmath,amssymb}
\usepackage[format=hang,font=small,labelfont=bf]{caption}
%Formata as legendas. Exemplo: \usepackage[margin=10pt,font=small,labelfont=bf, labelsep=endash]{caption}

\usepackage{setspace}
\usepackage{fancyhdr}


\def\citar{\list{}{\leftmargin4cm\singlespacing\footnotesize}\item[]}
\let\endcitar=\endlist


%\newcommand{\newsec}[1]{\section{#1}\setcounter{equation}{0} }
%\newcommand{\newsec}[1]{\section{#1}\setcounter{equation}{0}
  %                                  \setcounter{thmNEXUS}{0}
     %                               \setcounter{teoNEXUS}{0}
        %                            \setcounter{lemmaNEXUS}{0}
           %                         \setcounter{lemaNEXUS}{0}
              %                      \setcounter{defNEXUSi}{0}
                 %                   \setcounter{defNEXUSp}{0}
                    %                \setcounter{propNEXUSi}{0}
                       %             \setcounter{propNEXUSp}{0} }

\newtheorem{thm}{Theorem}

%\newtheorem{thmNEXUS}{Theorem}
%\renewcommand{\thethmNEXUS}{\arabic{section}.\arabic{thmNEXUS}}

\newtheorem{teo}{Teorema}
%\newtheorem{teoNEXUS}{Teorema}
%\renewcommand{\theteoNEXUS}{\arabic{section}.\arabic{teoNEXUS}}

\newtheorem{lemma}{Lemma}
%\newtheorem{lemmaNEXUS}{Lemma}
%\renewcommand{\thelemmaNEXUS}{\arabic{section}.\arabic{lemmaNEXUS}}

\newtheorem{lema}{Lema}
%\newtheorem{lemaNEXUS}{Lema}
%\renewcommand{\thelemaNEXUS}{\arabic{section}.\arabic{lemaNEXUS}}

\newtheorem{proposition}{Proposition}
%\newtheorem{propNEXUSi}{Proposition}
%\renewcommand{\thepropNEXUSi}{\arabic{section}.\arabic{propNEXUSi}}

\newtheorem{prop}{Proposi\c{c}\~{a}o}
%\newtheorem{propNEXUSp}{Proposi\c{c}\~{a}o}
%\renewcommand{\thepropNEXUSp}{\arabic{section}.\arabic{propNEXUSp}}

\newtheorem{definition}{Definition}
%\newtheorem{defNEXUSi}{Definition}
%\renewcommand{\thedefNEXUSi}{\arabic{section}.\arabic{defNEXUSi}}

\newtheorem{defin}{Defini\c{c}\~{a}o}
%\newtheorem{defNEXUSp}{Defini\c{c}\~{a}o}
%\newtheorem{remNEXUSp}{Observa\c{c}\~{a}o}
%\renewcommand{\thedefNEXUSp}{\arabic{section}.\arabic{defNEXUSp}}

\newtheorem{coroll}{Corollary}
%\newtheorem{coroNEXUSi}{Corollary}
%\renewcommand{\thecoroNEXUSi}{\arabic{section}.\arabic{thmNEXUS}.\arabic{coroNEXUSi}}
%\renewcommand{\thecoroNEXUSi}{\arabic{section}.\arabic{thmNEXUS}}

\newtheorem{corol}{Corol\'ario}
%\newtheorem{coroNEXUSp}{Corol\'ario}
%\renewcommand{\thecoroNEXUSp}{\theteoNEXUS}
%\renewcommand{\thecoroNEXUSp}{\arabic{section}.\arabic{teoNEXUS}.\arabic{coroNEXUSp}}
%\renewcommand{\thecoroNEXUSp}{\arabic{section}.\arabic{teoNEXUS}}

\newtheorem{remark}{Remark}

\newtheorem{obs}{Observa\c{c}\~{a}o}

\newtheorem{ex}{Exemplo}

\newtheorem{example}{Example}


\renewenvironment{abstract}
{\begin{list}{}{%
  \setlength{\rightmargin}{0.5cm}
  \setlength{\leftmargin}{0.5cm}
  \small}
  \item[] }
{\end{list}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\ps@headNEXUS}
{ \renewcommand{\@oddhead}
  {\begin{minipage}{\textwidth}
     %HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH
      {\normalsize {\bf NEXUS Mathematic{\ae}}}\\  % Para autores
     %HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH
  %    \begin{tabular}{lcr}
  %    \includegraphics[height=1.5cm]{nexuslogo.eps}

   \vspace{-1.8cm}
   \begin{flushright}
     {\footnotesize  trabalho submetido para publica\c c\~ao}

     \rule{0.5\textwidth}{0.5pt}
     \end{flushright}
   \end{minipage}
  }
%  \renewcommand{\@oddfoot}
%  {\begin{center}
%     \arabic{page}
%   \end{center}
%  }
  \renewcommand{\@oddfoot}{}
  \renewcommand{\@evenhead}{\@oddhead}
  \renewcommand{\@evenfoot}{\@oddfoot}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\criartitulo{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%

      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@criartitulo

    \thispagestyle{headNEXUS}\@thanks
    \markright{\bf \small \copyright \ NEXUS Mathematic{\ae} }
  \endgroup
  %\setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\criartitulo\relax
  \global\let\@criartitulo\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@criartitulo{%
  \newpage
  \null
  \vskip 0em%
  \begin{center}%
  \let \footnote \thanks
    {\LARGE \@title \par}%
  \end{center}%
    \vskip 1.5em%
    {\normalsize
      \lineskip .5em%
      \begin{minipage}[b]{\textwidth}
        \@author
      \end{minipage}\par}%
    \vskip 1em%
    %{\large \@date}%
  \par
  \vskip 1em}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%\pagestyle{myheadings}
%\newcommand{\runningheads}{\markboth}
%\pagestyle{myheadings}


\fancyhead[LO,LE]{ }



\normalsize

\setcounter{page}{1}

\endinput
